Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Interface RealmPrincipal

All Superinterfaces:
  Principal

All Known Subinterfaces:
  RealmRole, RealmUser

public interface RealmPrincipal
extends Principal

RealmPrincipal extends from java.security.Principal. It is a principal associated with a realm instance.

See Also:
  `RealmRole`, `RealmUser`

Method Summary
`String` | `getDescription()` Returns description string associated with this principal.
`String` | `getDisplayName()` Returns display name associated with this principal.
`String` | `getFullName()` Returns the Fullname of the principal
`Realm` | `getRealm()` Returns the Realm that this Principal is associated with
`void` | `setDescription(String desc)` Sets the description for this principal.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getRealm

    public Realm getRealm()

  Returns the Realm that this Principal is associated with

### getFullName

    public String getFullName()

  Returns the Fullname of the principal

### getDisplayName

    public String getDisplayName()

  Returns display name associated with this principal.
  Returns:
    display name associated with this principal.

### getDescription

    public String getDescription()

  Returns description string associated with this principal.
  Returns:
    description string associated with this principal.

### setDescription

    public void setDescription(String desc)

  Sets the description for this principal.
  Parameters:
    `desc` - the description of this principal. throws UnsupportedOperationException if not possible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.